# Couenne::CouenneExprMatrix Class Reference

`#include <CouenneMatrix.hpp>`

List of all members.

## Classes
struct | compare_pair_ind
## Public Member Functions
| CouenneExprMatrix ()
| ~CouenneExprMatrix ()
| CouenneExprMatrix (const CouenneExprMatrix &rhs)
CouenneExprMatrix & | operator= (const CouenneExprMatrix &rhs)
CouenneExprMatrix * | clone ()
const std::set< std::pair< int, CouenneSparseVector * > , compare_pair_ind > & | getRows () const
const std::set< std::pair< int, CouenneSparseVector * > , compare_pair_ind > & | getCols () const
std::vector< expression * > & | varIndices ()
void | add_element (int row, int column, expression *elem)
void | print () const
long unsigned int | size ()
CouenneSparseVector & | operator* (const CouenneSparseVector &factor) const
| matrix * vector
CouenneExprMatrix & | operator* (const CouenneExprMatrix &post) const
| matrix * matrix
## Protected Attributes
std::set< std::pair< int, CouenneSparseVector * > , compare_pair_ind > | row_
| row major
std::set< std::pair< int, CouenneSparseVector * > , compare_pair_ind > | col_
| col major
std::vector< expression * > | varIndices_
| if used in sdp cuts, contains indices of x_i used in X_ij = x_i * x_j

## Detailed Description

Definition at line 104 of file CouenneMatrix.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneExprMatrix::CouenneExprMatrix | ( |  | ) | `[inline]`

Definition at line 123 of file CouenneMatrix.hpp.

Referenced by clone().

Couenne::CouenneExprMatrix::~CouenneExprMatrix | ( |  | ) |

Couenne::CouenneExprMatrix::CouenneExprMatrix | ( | const CouenneExprMatrix & | rhs | ) |

## Member Function Documentation

CouenneExprMatrix& Couenne::CouenneExprMatrix::operator= | ( | const CouenneExprMatrix & | rhs | ) |

CouenneExprMatrix* Couenne::CouenneExprMatrix::clone | ( |  | ) | `[inline]`

Definition at line 129 of file CouenneMatrix.hpp.

References CouenneExprMatrix().

const std::set<std::pair <int, CouenneSparseVector *>, compare_pair_ind>& Couenne::CouenneExprMatrix::getRows | ( |  | ) | const`[inline]`

Definition at line 131 of file CouenneMatrix.hpp.

References row_.

const std::set<std::pair <int, CouenneSparseVector *>, compare_pair_ind>& Couenne::CouenneExprMatrix::getCols | ( |  | ) | const`[inline]`

Definition at line 132 of file CouenneMatrix.hpp.

References col_.

std::vector<expression *>& Couenne::CouenneExprMatrix::varIndices | ( |  | ) | `[inline]`

Definition at line 134 of file CouenneMatrix.hpp.

References varIndices_.

void Couenne::CouenneExprMatrix::add_element | ( | int | row,
|  | int | column,
|  | expression * | elem |
| ) |  |  |

void Couenne::CouenneExprMatrix::print | ( |  | ) | const

long unsigned int Couenne::CouenneExprMatrix::size | ( |  | ) |

CouenneSparseVector& Couenne::CouenneExprMatrix::operator* | ( | const CouenneSparseVector & | factor | ) | const

matrix * vector

CouenneExprMatrix& Couenne::CouenneExprMatrix::operator* | ( | const CouenneExprMatrix & | post | ) | const

matrix * matrix

## Member Data Documentation

std::set<std::pair <int, CouenneSparseVector *>, compare_pair_ind> Couenne::CouenneExprMatrix::row_`[protected]`

row major

Definition at line 116 of file CouenneMatrix.hpp.

Referenced by getRows().

std::set<std::pair <int, CouenneSparseVector *>, compare_pair_ind> Couenne::CouenneExprMatrix::col_`[protected]`

col major

Definition at line 117 of file CouenneMatrix.hpp.

Referenced by getCols().

std::vector<expression *> Couenne::CouenneExprMatrix::varIndices_`[protected]`

if used in sdp cuts, contains indices of x_i used in X_ij = x_i * x_j

Definition at line 119 of file CouenneMatrix.hpp.

Referenced by varIndices().

The documentation for this class was generated from the following file:

- CouenneMatrix.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines